<div [formGroup]="addressForm" class="border p-3 mb-3">
	<h5>{{this.actionType}} Address</h5>
	<div >

		<div class="form-group">
			<label>	Street*:</label>
			<input type="text" class="form-control" formControlName="street" placeholder="Street">
			<div *ngIf="addressForm.get('street').invalid && (addressForm.get('street').dirty || addressForm.get('street').touched)" class="alert alert-warning">
			  	<div *ngIf="addressForm.get('street').errors.required">
			    	Street is required.
			  	</div>
			  	<div *ngIf="addressForm.get('street').errors.minlength">
		   	 		Street must be at least 4 characters long.
		  		</div>
		  		<div *ngIf="addressForm.get('street').errors.maxlength">
			   	 	Street can not be more than 40 characters long.
			  	</div>
			    <div *ngIf="addressForm.get('street').errors.pattern">
			   	 	Invalid street.
			  	</div>
		  	</div>
		</div>

		<div class="form-row">
			<div class="form-group col">
				<label>ZIP Code*:</label>
				<input type="text" class="form-control" formControlName="zip" placeholder="eg.111111">
				<div *ngIf="addressForm.get('zip').invalid && (addressForm.get('zip').dirty || addressForm.get('zip').touched)" class="alert alert-warning">
				  	<div *ngIf="addressForm.get('zip').errors.required">
				    	ZIP code is required.
				  	</div>
				  	<div *ngIf="addressForm.get('zip').errors.minlength">
				   	 	ZIP must be at least 6 characters long.
				  	</div>
				  	<div *ngIf="addressForm.get('zip').errors.maxlength">
				   	 	ZIP can not be more than 6 characters long.
				  	</div>
				  	<div *ngIf="addressForm.get('zip').errors.pattern">
				   	 	Please match pattern.
				  	</div>
			  	</div>
			</div>

			<div class="form-group col">	
				<label>City*:</label>
				<input type="text" class="form-control" formControlName="city" placeholder="City">

				<div *ngIf="addressForm.get('city').invalid && (addressForm.get('city').dirty || addressForm.get('city').touched)" class="alert alert-warning">
				  	<div *ngIf="addressForm.get('city').errors.required">
				    	City is required.
				  	</div>
				  	<div *ngIf="addressForm.get('city').errors.minlength">
				   	 	City must be at least 4 characters long.
				  	</div>
				  	<div *ngIf="addressForm.get('city').errors.maxlength">
				   	 	City can not be more than 20 characters long.
				  	</div>
				  	<div *ngIf="addressForm.get('city').errors.pattern">
				   	 	City must be alphabet's only.
				  	</div>
			  	</div>
			</div>

			<div class="form-group col">	
				<label>State*:</label>
				<input type="text" class="form-control" formControlName="state" placeholder="State">

				<div *ngIf="addressForm.get('state').invalid && (addressForm.get('state').dirty || addressForm.get('state').touched)" class="alert alert-warning">
				  	<div *ngIf="addressForm.get('state').errors.required">
				    	State is required.
				  	</div>
				  	<div *ngIf="addressForm.get('state').errors.minlength">
				   	 	State must be at least 4 characters long.
				  	</div>
				  	<div *ngIf="addressForm.get('state').errors.maxlength">
				   	 	State can not be more than 20 characters long.
				  	</div>
				  	<div *ngIf="addressForm.get('state').errors.pattern">
				   	 	State must be alphabet's only.
				  	</div>
			  	</div>
			</div>
		</div>

		<div class="text-right">
			<button type="button" class="btn btn-primary" [disabled]="addressForm.invalid" (click)="save()">Save Address</button>
		</div>
	</div>
</div>
